%define pkg_name        Test-MockClass
%define pkg_version     1.04
%define rpm_pkg_version 1.04
%define rpm_pkg_release 2.n0i.2

Summary:       A module to provide mock classes and objects
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/Test/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Hook::WrapSub) >= 0.03
BuildRequires: perl(Scalar::Util) >= 1.14
BuildRequires: perl(Test::SimpleUnit) >= 1.21
BuildRequires: perl(Tie::Watch) >= 1.1
BuildRequires: perl(version) >= 0.40



%description
This module provides a simple interface for creating mock classes and mock
objects with mock methods for mock purposes, I mean testing purposes.
It also provides a simple mechanism for tracking the interactions to the
mocked objects.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc README


%changelog
* Thu Sep 20 2007 Marius Feraru <altblue@n0i.net> - 1.04-2.n0i.2
- rebuild

* Thu Jun 22 2006 Marius Feraru <altblue@n0i.net> - 1.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
